Package ghidra.trace.database.symbol

# Class DBTraceNamespaceSymbolView

java.lang.Object
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView<DBTraceNamespaceSymbol>
ghidra.trace.database.symbol.DBTraceNamespaceSymbolView

All Implemented Interfaces:
  `TraceNamespaceSymbolView`, `TraceSymbolNoDuplicatesView<TraceNamespaceSymbol>`, `TraceSymbolView<TraceNamespaceSymbol>`

public class DBTraceNamespaceSymbolView extends AbstractDBTraceSymbolSingleTypeView<DBTraceNamespaceSymbol> implements TraceNamespaceSymbolView

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `manager, store, symbolsByName, symbolsByParentID, typeID, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceNamespaceSymbolView(DBTraceSymbolManager manager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DBTraceNamespaceSymbol`
  `add(String name, TraceNamespaceSymbol parent, SourceType source)`
  Add a new namespace symbol.
  `protected Collection<DBTraceNamespaceSymbol>`
  `constructView()`

  ### Methods inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `getAll, getByKey, getChildren, getChildrenNamed, getManager, getNamed, getWithMatchingName, invalidateCache, scanByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolNoDuplicatesView

  `getChildNamed, getGlobalNamed`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolView

  `getAll, getChildren, getChildrenNamed, getGlobals, getGlobalsNamed, getManager, getNamed, getTrace, getWithMatchingName, scanByName, size`

- ## Constructor Details

  - ### DBTraceNamespaceSymbolView

    public DBTraceNamespaceSymbolView(DBTraceSymbolManager manager)

- ## Method Details

  - ### add

    public DBTraceNamespaceSymbol add(String name, TraceNamespaceSymbol parent, SourceType source) throws DuplicateNameException, InvalidInputException
    Description copied from interface: `TraceNamespaceSymbolView`
    Add a new namespace symbol.
    Specified by:
      `add` in interface `TraceNamespaceSymbolView`
    Parameters:
      `name` - the name of the namespace
      `parent` - the parent namespace
      `source` - the source
    Returns:
      the new namespace symbol
    Throws:
      `DuplicateNameException` - if the name is duplicated in the parent namespace
      `InvalidInputException` - if the name is not valid

  - ### constructView

    protected Collection<DBTraceNamespaceSymbol> constructView()
    Overrides:
      `constructView` in class `AbstractDBTraceSymbolSingleTypeView<DBTraceNamespaceSymbol>`